## org.eclipse.datatools.sqltools.result.internal.filters
Class ResultsFilterHelper

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.filters.ResultsFilterHelper

    public class ResultsFilterHelper

extends java.lang.Object

Author:
  Dafan Yang

Constructor Summary
`ResultsFilterHelper()`

Method Summary
`static boolean` `isFilteredOut(java.lang.String profileName)` Tests if the given profile is filtered out or not
`static void` `saveFilters(java.lang.String[] profiles)` Stores the filters when the user changes them.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultsFilterHelper

    public ResultsFilterHelper()

Method Detail

### isFilteredOut

    public static boolean isFilteredOut(java.lang.String profileName)

  Tests if the given profile is filtered out or not

  Parameters:
    `profileName` - the given profile
  Returns:
    `true` if the given profile is selected to be filtered out, `false` otherwise

### saveFilters

    public static void saveFilters(java.lang.String[] profiles)

  Stores the filters when the user changes them. Notice that we are using one string to store the status of the filter: save all the profiles which are filtered out (not selected)

  Parameters:
    `profiles` - the profiles list which are selected to be filtered out